Page MenuHomePhabricator

Create 'user affiliation' custom drop down field for forms
Closed, ResolvedPublic

Description

One issue Security-Team is having is reporting on who is consuming our services (which is good!) so that we can allocate budget and figure out our growth patterns. Between @Jcross, @JBennett and myself we have tried to come up with a scheme to back track phab usernames to departments, budgets, etc. It's very manual and essentially impractical at the moment. It seem as if this need is coming for other parts of the org as well. Our current approach (which we want to use on our RFS form is to create a new field possible for forms.

Decent reference https://wikimediafoundation.org/role/staff-contractors/

Affiliation

  • WMF: Advancement
  • WMF: Product
  • WMF: Legal
  • WMF: Communications
  • WMF: Community Engagement
  • WMF: Technology
  • WMF: T&C (HR)
  • WMF: Finance
  • WMDE
  • Communities
  • Other (Please note in Description)

Event Timeline

chasemp assigned this task to Jcross.Dec 17 2019, 9:20 PM
chasemp created this task.

I'm tossing your way to flesh out the options we want present in the drop down :)

chasemp triaged this task as Medium priority.Dec 17 2019, 9:32 PM
chasemp raised the priority of this task from Medium to Needs Triage.
chasemp moved this task from Incoming to In Progress on the Security-Team board.

I'd say most options listed above should have a "WMF" prefix and Community should be plural. Being picky, Audiences has been renamed (back) to Product which is a good example why I'm not looking forward to maintaining yet another list of everchanging WMF dept/teams to get outdated... :P

Jcross added a comment.EditedDec 18 2019, 8:27 PM

@chasemp - talked to JB and we are good to run with just this as a first iteration / attempt at metrics. This list looks accurate (ish) for team names? https://office.wikimedia.org/wiki/Contact_list

Advancement
Communications
CE
Finance
Legal
Product
T&C
Tech

Jcross triaged this task as Medium priority.Dec 19 2019, 12:21 AM

This seems like something that automation could figure out, if we encouraged every team to have a team project and add all of their team members to it...

chasemp updated the task description. (Show Details)Dec 23 2019, 4:59 PM
chasemp updated the task description. (Show Details)
chasemp updated the task description. (Show Details)
chasemp updated the task description. (Show Details)Dec 23 2019, 5:01 PM

I'd say most options listed above should have a "WMF" prefix and Community should be plural. Being picky, Audiences has been renamed (back) to Product which is a good example why I'm not looking forward to maintaining yet another list of everchanging WMF dept/teams to get outdated... :P

Thanks for the feedback and yeah...trying to make it as broad as possible but shakeup will shakeup and I guess we'll see how this goes.

chasemp updated the task description. (Show Details)Dec 23 2019, 5:39 PM

Archive of existing settings

{P10022, lines=10}

New with requestor affiliation option

{P10023, lines=10}

chasemp closed this task as Resolved.Jan 2 2020, 7:30 PM
chasemp updated the task description. (Show Details)

Seen in action here: https://phabricator.wikimedia.org/maniphest/task/edit/form/72/

So far as I can tell it has had no impact on any other forms or settings. So I'm going to resolve this. But let me know if anyone sees weirdness.